PHP Pear Mdb2 mysql login error

Alles, was PHP betrifft, kann hier besprochen werden.

PHP Pear Mdb2 mysql login error

Postby pruvolo1 » 02. July 2014 05:20

I am not a programmer. I am simply trying to move this php website and mysql database to a new server. I get this error when trying to login to the login page on the new server:

ERRNO: 2
TEXT: mysql_fetch_assoc() expects parameter 1 to be resource, object given
LOCATION: /usr/share/pear/MDB2/Driver/mysql.php, line 1156, at July 1, 2014, 11:50 pm
Here is line 1156 of mysql.php:
1156 $row = @mysql_fetch_assoc($this->result);

It works normally on the old server. I think it might have something to do with version levels but I am not sure.

Here are the installed applicable apps on the old server:
Red Hat 4.1.2-54
libmcrypt.i386 2.5.8-4.el5.centos installed
libmcrypt-devel.i386 2.5.8-4.el5.centos installed
php-mcrypt.i386 5.1.6-15.el5.centos.1 installed
httpd.i386 2.2.3-76.el5.centos installed
mysql.i386 5.0.95-5.el5_9 installed
mysql-server.i386 5.0.95-5.el5_9 installed
php-mysql.i386 5.1.6-39.el5_8 installed
php-pear-MDB2-Driver-mysql.noarch 1.4.1-3.el5.centos installed
php.i386 5.1.6-39.el5_8 installed
php-cli.i386 5.1.6-39.el5_8 installed
php-common.i386 5.1.6-39.el5_8 installed
php-devel.i386 5.1.6-39.el5_8 installed
php-gd.i386 5.1.6-39.el5_8 installed
php-imap.i386 5.1.6-39.el5_8 installed
php-mbstring.i386 5.1.6-39.el5_8 installed
php-mcrypt.i386 5.1.6-15.el5.centos.1 installed
php-mysql.i386 5.1.6-39.el5_8 installed
php-pdo.i386 5.1.6-39.el5_8 installed
php-pear.noarch 1:1.4.9-8.el5 installed
php-pear-MDB2.noarch 2.4.1-2.el5.centos installed
php-pear-MDB2-Driver-mysql.noarch 1.4.1-3.el5.centos installed
php-xml.i386 5.1.6-39.el5_8 installed
php5-ioncube-loader.i386 4.0.7-11030112 installed
psa-php5-configurator.noarch 1.6.1-cos5.build1011110330.18 installed
mod_ssl.i386 1:2.2.3-76.el5.centos installed
openssl.i686 0.9.8e-26.el5_9.1 installed
php-pear.noarch 1:1.4.9-8.el5 installed
php-pear-MDB2.noarch 2.4.1-2.el5.centos installed
php-pear-MDB2-Driver-mysql.noarch 1.4.1-3.el5.centos installed
psa-pear.noarch 1.9.1-20100810.10120712 installed

Here are the installed applicable apps on the new server:
centos 6.5 (final)
crypt.x86_64 2.5.8-9.el6 @epel
mcrypt.x86_64 2.6.8-10.el6 @epel
php-mcrypt.x86_64 5.3.3-3.el6 @epel
httpd.x86_64 2.2.15-30.el6.centos @updates
httpd-devel.x86_64 2.2.15-30.el6.centos @updates
httpd-tools.x86_64 2.2.15-30.el6.centos @updates
mysql.x86_64 5.1.71-1.el6 @base/$releasever
mysql-libs.x86_64 5.1.71-1.el6 @base/$releasever
mysql-server.x86_64 5.1.71-1.el6 @base/$releasever
php-mysql.x86_64 5.3.3-27.el6_5 @updates
qt-mysql.x86_64 1:4.6.2-26.el6_4 @base/$releasever
php.x86_64 5.3.3-27.el6_5 @updates
php-cli.x86_64 5.3.3-27.el6_5 @updates
php-common.x86_64 5.3.3-27.el6_5 @updates
php-gd.x86_64 5.3.3-27.el6_5 @updates
php-mcrypt.x86_64 5.3.3-3.el6 @epel
php-mysql.x86_64 5.3.3-27.el6_5 @updates
php-pdo.x86_64 5.3.3-27.el6_5 @updates
php-pear.noarch 1:1.9.4-4.el6 @base
php-xml.x86_64 5.3.3-27.el6_5 @updates
mod_ssl.x86_64 1:2.2.15-30.el6.centos @updates
openssl.x86_64 1.0.1e-15.el6 @base/$releasever
qca-ossl.x86_64 2.0.0-0.8.beta3.1.el6 @base/$releasever
php-pear.noarch 1:1.9.4-4.el6 @base
pruvolo1
 
Posts: 1
Joined: 02. July 2014 05:15
XAMPP Version: 1.8.3-3
Operating System: centos

Re: PHP Pear Mdb2 mysql login error

Postby Nobbie » 14. July 2014 19:45

pruvolo1 wrote:I am simply trying to move this php website and mysql database to a new server. I get this error when trying to login to the login page on the new server:


And as you see, you cannot "simply trying" to move a website from one server to another. This requires a lot of knowledge and specials skill, according to the error message you should ask the programmer of that script for support, as there is an error.

We cannot help you with that, sorry.
Nobbie
 
Posts: 6923
Joined: 09. March 2008 13:04


Return to PHP

Who is online

Users browsing this forum: No registered users and 1 guest